﻿init python:
    style.http_hyperlink = Style(style.hyperlink_text)
    style.http_hyperlink.color = "#ffffff"

    def hyperlink_styler(target):
        if target.startswith("http:"):
            return style.http_hyperlink
        else:
            return style.hyperlink_text

    config.hyperlink_styler = hyperlink_styler
    
###########

init offset = -1

screen about():

    tag menu
    key "game_menu" action Return()

    fixed:
        at gui_fullinout
        add "gui/about/about_overlay.png":
            alpha 0.6

        add "gui/about/about_backdrop.png" xalign 0.5 yalign 0.5

        use exit_button

    side "c r":

        area (636, 135, 850, 850)

        viewport id "vp":
            mousewheel True
            draggable False

            vbox:
                xsize 580

                at gui_fullinout

                text config.name.upper() style "history_name_text" text_align 0.5 xalign 0.5
                text "version [config.version!t]\n(c) 2018 [gui.developer_name!t]\n\n Made with Ren'Py [renpy.version_only]":
                    style "history_text"
                    text_align 0.5
                    xalign 0.5
                text " "
                text "A full list of hotkeys is on the website if so desired." style "history_text" text_align 0.5

                text " "
                
                text "A full credits list can be found here." style "history_text" ### later actually put credit list in

                vbox:
                    spacing 20
                    at gui_fullinout

                    text "Welcome to Desruc Dolls! This game was made as a... kind of negation of typical storylines, where stories that are set up like this are an otome or a dating sim. Truthfully, I have nothing against dating sims or anything, we just didn't want to create a dating sim." style "history_text"
                    text "Upon getting further into the storyline, which wasn't something we'd particularly decided or developed before actually beginning production on the game, we definitely had not created a dating sim. It got a tad more angsty than we were expecting. Just a tad." style "history_text"
                    text "We would like to thank Luna Chai Li for the demo GUI, FADE. While FADE is a gorgeous GUI for a visual novel, we decided it didn't quite fit the theme that we wanted to go for, and so created our own GUI. Without FADE, though, the level of customization we achieved would probably not have been possible." style "history_text"
                    text "We would also like to thank many of the more talented Lemmasoft users who helped us an immense amount through crashes and odd graphical bugs, including {a=https://lemmasoft.renai.us/forums/memberlist.php?mode=viewprofile&u=4273}Alex{/a} and {a=https://lemmasoft.renai.us/forums/memberlist.php?mode=viewprofile&u=29301}namastaii{/a}." style "history_text"
    

        vbar:
            value YScrollValue("vp")
            xsize 15
            ysize 700
            xpos -250
            ypos 70

            thumb_shadow None

            thumb               "gui/barssliders/log_idle_thumb.png"
            hover_thumb         "gui/barssliders/log_idle_thumb.png"
            base_bar            "gui/barssliders/log_idle_bar.png"
            hover_base_bar      "gui/barssliders/log_idle_bar.png"

            at gui_confirmfade