﻿init offset = -1

################
# INSTRUCTIONS #
################

# Step 1:
# Set up your CG imagebuttons at Line 26.

# Step 2:
# Fill your CG pages starting at Line 148.
# You can copy and paste the template.

# Step 3:
# Set up your page navigation at Line 120.


##############
# BEGIN CODE #
##############

init python:
    g = Gallery()
    g.transition = fade
    
    ######## ADD BUTTONS AND IMAGES BELOW HERE ##############
    
    # A button that contains an image that automatically unlocks
    # when it's seen in game.
    g.button("cg1")
    g.unlock_image("cg1")
    
    g.button("cg2")
    g.unlock_image("cg2")
    
    g.button("cg3")
    g.unlock_image("cg3")
    
    g.button("cga_1")
    g.unlock_image("cga_1")
    
    g.button("cge_1")
    g.unlock_image("cge_1")
    
    # You can also associate multiple images/variations
    # with one CG reference.
    # Check the Ren'Py documentation for more info:
    # https://www.renpy.org/doc/html/rooms.html
    
    
##########
# SCREEN #
##########

screen cg_gallery():
    
    key "game_menu" action ShowMenu('extras',fromMain=True)
    
    fixed:
        at gui_fullinout
        add "gui/gallery/cg_background.png"
        
        imagebutton auto "gui/gui_exitbutton_%s.png" xpos 1750 ypos 100 focus_mask True:
            hovered [Play("system",guisfx_button_hover), Show("gui_tooltip", 
                tt_text="ESC", 
                tt_xpos=1650, 
                tt_ypos=120)]
            unhovered Hide("gui_tooltip")
            action [Play("system",guisfx_button_click),
                Hide("gui_tooltip"),
                Hide("cg_gallery"),
                Hide("cg_page1"),Hide("cg_page2"),Hide("cg_page3"),Hide("cg_page4"),Hide("cg_page5"),
                Return()]
            at gui_confirmfade
            
    default curpage = "page1"
        
############## CHANGE YOUR PAGES HERE ################
    hbox:
        xalign 0.5
        ypos 75
        spacing 50
        
        imagebutton auto "gui/gallery/cg_player_%s.png" focus_mask True:
            action SetScreenVariable("curpage", "page1")
            at gui_confirmfade

        imagebutton auto "gui/gallery/cg_evan_%s.png" focus_mask True:
            action SetScreenVariable("curpage", "page2")
            at gui_confirmfade

        imagebutton auto "gui/gallery/cg_dylan_%s.png" focus_mask True:
            action SetScreenVariable("curpage", "page3")
            at gui_confirmfade

        imagebutton auto "gui/gallery/cg_alister_%s.png" focus_mask True:
            action SetScreenVariable("curpage", "page4")
            at gui_confirmfade

        imagebutton auto "gui/gallery/cg_dollmaker_%s.png" focus_mask True:
            action SetScreenVariable("curpage", "page5")
            at gui_confirmfade
  
    grid 4 2:
        style "cgpage_grid"
        at gui_fullinout
        
        if curpage == "page1":
            add g.make_button("cg1", "images/cgs/cg1_thumb.png", locked="gui/gallery/cg_locked.png")
            add g.make_button("cg2", "images/cgs/cg2_thumb.png", locked="gui/gallery/cg_locked.png")
            add g.make_button("cg3", "images/cgs/cg3_thumb.png", locked="gui/gallery/cg_locked.png")
            null
            
            null
            null
            null
            null
        if curpage == "page2":
            add g.make_button("cge_1", "images/cgs/cge_1_thumb.png", locked="gui/gallery/cg_locked.png")
            null
            null
            null
            
            null
            null
            null
            null
            
        if curpage == "page3":
            null
            null
            null
            null
            
            null
            null
            null
            null
            
        if curpage == "page4":
            add g.make_button("cga_1", "images/cgs/cga_1_thumb.png", locked="gui/gallery/cg_locked.png")
            null
            null
            null
            
            null
            null
            null
            null
            
        if curpage == "page5":
            null
            null
            null
            null
            
            null
            null
            null
            null
        
##########
# STYLES #
##########
        
style cgpage_grid:
    xalign 0.5 ycenter 0.55 yoffset 20
    spacing 60