﻿init offset = -1

################
# INSTRUCTIONS #
################

# One and only step!

# Step 1:
# Add your music files in the song_list at line 23.
# Make sure you copy the format of the previous records.

# Check the Ren'Py documentation for more info:
# https://www.renpy.org/doc/html/rooms.html


##############
# BEGIN CODE #
##############

init python:
    
    mr = MusicRoom()
    
    ######## ADD MUSIC FILES HERE ##############
    
    # Add music file references here.
    # The format goes:
    # "path to music file.ogg":['Title', 'Composer']
    # Be sure to add a comma after every item except the last one!
    
    song_list = {"music/silence_min.ogg":['Silence', 'the universe'],
                "music/boil and bubble.ogg":['Boil and Bubble', 'Luna Chai'],
                "music/kid in blue.ogg":['Kid in Blue', 'Luna Chai Li'],
                "music/random encounter.ogg":['Random Encounter', 'Moon Tea']
                }
    
    # This lists default values for song_name and song_description to prevent errors.
    song_name = ""
    song_description = ""
    
    # This automatically adds an mr.add record for every song in the list.
    # Songs are always unlocked while always_unlocked = True.
    for track, detail in song_list.iteritems():
        mr.add(track, always_unlocked = True, action=[SetVariable("song_name",detail[0]),SetVariable("song_description",detail[1])])

##########
# SCREEN #
##########

screen music_room():

    tag menu
    predict False
    key "game_menu" action ShowMenu('extras',fromMain=True,doTrans=False)
    
    add gui.mm_background at gui_fullinout
    
    fixed:
        at gui_fullinout
        add "gui/musicroom/music_overlay.png" alpha 0.5
        
        use exit_button
            
    frame:
        at gui_fullinout
        
        add "gui/musicroom/music_base.png" xpos 600
        
        vbox:
            xalign 0.5 yalign 0.55
            text song_name:
                style "music_sub"
            text song_description.upper():
                style "gui_overlay_title"
                yoffset 0
            
        imagebutton auto "gui/musicroom/music_previous_%s.png" xpos 800 ypos 737 focus_mask True:
            hovered Play("system",guisfx_button_hover)
            action [Play("system",guisfx_button_click),
                    mr.Previous()
                    ]
            at gui_confirmfade
            
        imagebutton auto "gui/musicroom/music_play_%s.png" xpos 918 ypos 720 focus_mask True:
            hovered Play("system",guisfx_button_hover)
            action [Play("system",guisfx_button_click),
                    # Must be mr.Play("string") for
                    # the mr.add action to work.
                    mr.Play(renpy.music.get_playing())
                    ]
            at gui_confirmfade
            
        imagebutton auto "gui/musicroom/music_next_%s.png" xpos 1040 ypos 727 focus_mask True:
                hovered Play("system",guisfx_button_hover)
                action [Play("system",guisfx_button_click),
                        mr.Next()
                        ]
                at gui_confirmfade
    
    # Make music change upon entering / exiting room.
    on "replace" action Stop("music")
    on "replaced" action Play("music", config.main_menu_music, fadeout=1.0)
    
            
style music_sub:
    font gui.adv_font_face
    size gui.adv_font_size
    color gui.adv_font_color
    
    xalign 0.5
    text_align 0.5