﻿init offset = -1

style gui_screentitle:
    font gui.advname_font_face
    size 70
    color Color(color=gui.advname_font_color)
    kerning gui.advname_font_kerning * 1.3
    text_align 0.5
    xalign 0.5
    yoffset 20

screen save(fromPause=False):

    tag menu
    
    key "s" action Return()
    key "game_menu" action Return()

    use file_slots(_("Save"),fromPause=fromPause)


screen load(fromPause=False,fromMain=False):

    tag menu
    
    key "l" action Return()
    key "game_menu" action Return()
    
    if fromMain:
        add gui.mm_background

    use file_slots(_("Load"),fromPause=fromPause)


screen file_slots(title,fromPause=False):
    
    default page_name_value = FilePageNameInputValue(pattern=_("Page {}"), auto=_("Automatic saves"), quick=_("Quick saves"))
    
    fixed:
        if fromPause == False:
            at gui_inout
        else:
            at gui_inout
        add "gui/saveload/saveload_overlay.png":
            alpha 0.5
            
        if title == _("Save"):
            text "SAVE":
                style "gui_screentitle"
        else:
            text "LOAD":
                style "gui_screentitle"
        
        use exit_button
            
        frame:
            background None
            xsize 1200

        ## The grid of file slots.
        grid 3 2:
            style_prefix "slot"

            xalign 0.5
            yalign 0.59

            spacing 30
            
            at gui_inout

            for i in range(3 * 2):

                $ slot = i + 1

                button:
                    background "gui/saveload/saveload_file_idle.png"
                    hovered Play("system",guisfx_button_hover)
                    if FileLoadable(slot) == True:
                        action [Play("system",guisfx_button_warn),
                                FileAction(slot)]
                    else:
                        action [Play("system",guisfx_button_click),
                            FileAction(slot)]
                    
                    xalign 0.5
                    xsize 400 ysize 350
                    
                    if FileLoadable(slot) == True:
                        at gui_savefull
                    else:
                        at gui_saveempty
                    
                    # Add screenshot.
                    add FileScreenshot(slot):
                        xalign 0.5 xoffset 25
                        size (349,196)
                        yalign 0.4 yoffset 30
                    
                    # File number.
                    text "#" + FileSlotName(slot,6,quick=u'Q'):
                        style "slot_number_text"
                        xalign 0.5 xoffset 20 yalign 0.5 yoffset -124
                    
                    # File time.
                    text FileTime(slot, format=_("%B %d, %Y\n%I:%M %p"), empty=_("Empty")):
                        style "slot_time_text"
                        xalign 0.5 xoffset 20 yalign 0.0 yoffset 300
                        
                        # {#file_time}%A - Day of the week
                    
                    # Add delete button.
                    if FileLoadable(slot) == True:
                        imagebutton auto "gui/saveload/saveload_delete_%s.png":
                            action [Play("system",guisfx_button_warn),
                                    FileDelete(slot)]
                            xalign 0.9 yalign 0.08
                            at gui_savedelete
                    

        ## Page navigation buttons.
        hbox:
            xalign 0.5
            ypos 174
            ysize 50

            spacing 18
            
            at gui_fullinout
            
            #textbutton _("<") action FilePagePrevious()
            
            imagebutton auto "gui/saveload/saveload_prev_%s.png" focus_mask True action FilePagePrevious() at gui_confirmfade
            
            text "PAGE.":
                style "page_text"

            #if config.has_autosave:
            #    textbutton _("{#auto_page}A") action FilePage("auto"):
            #        text_style "page_text"

            if config.has_quicksave:
                textbutton _("{#quick_page}Q"):
                    text_style "page_text"
                    
                    hovered Play("system",guisfx_button_hover)
                    action [Play("system",guisfx_button_click),
                            FilePage("quick")]
                    
                    at gui_confirmfade

            ## range(1, 10) gives the numbers from 1 to 9.
            for page in range(1, 11):
                textbutton "[page]":
                    text_style "page_text"
                    
                    hovered Play("system",guisfx_button_hover)
                    action [Play("system",guisfx_button_click),
                            FilePage(page),
                            Function(renpy.restart_interaction)]
                    
                    #if page ==:
                    #    at gui_fade(1.0)
                    #else:
                    at gui_confirmfade
            
            if FileCurrentPage() is not 10:
                imagebutton auto "gui/saveload/saveload_next_%s.png" focus_mask True action FilePageNext() at gui_confirmfade

style page_text:
    font gui.adv_font_face
    size gui.adv_font_size
    color gui.adv_font_color
    bold True
    
    xalign 0.5 yalign 0.5
    
style page_textbutton:
    xalign 0.5 yalign 0.5

style slot_time_text:
    font gui.adv_font_face
    size gui.adv_font_size * 0.8
    color gui.adv_font_color
    line_spacing 0 - gui.adv_font_size * 0.25
    
    text_align 0.5
    
style slot_number_text:
    font gui.adv_font_face
    size gui.adv_font_size * 0.7
    color gui.adv_font_color
    bold True
    
    kerning gui.advname_font_kerning

style page_label:
    xpadding 75
    ypadding 5

style page_label_text:
    text_align 0.5
    layout "subtitle"

style page_button:
    xalign 0.5