﻿## Preferences screen ##########################################################
##
## The preferences screen allows the player to configure the game to better suit
## themselves.
##
## https://www.renpy.org/doc/html/screen_special.html#preferences

screen settings(fromPause=False,fromMain=False):

    tag menu
    key "game_menu" action Return()
    
    python:
        xy = renpy.get_physical_size()
        
    if fromMain:
        add gui.mm_background
    
    fixed:
        if fromPause == False:
            at gui_fullinout
        else:
            at gui_fullinout
        add "gui/settings/settings.png"
        
        text "DISPLAY" style "settings_header" xpos 250 ypos 350
        
        text "SKIP" style "settings_header" xpos 1500 ypos 240
        
        imagebutton auto "gui/settings/settings_windowed_%s.png" xpos 320 ypos 543 focus_mask True:
            hovered Play("system",guisfx_button_hover)
            action [SelectedIf(preferences.fullscreen == False and xy[0] >= 1700),
                    Play("system",guisfx_button_click),
                    Preference("display", 1.0)]
            at gui_confirmfade
                        
        imagebutton auto "gui/settings/settings_full_%s.png" xpos 142 ypos 550 focus_mask True:
            hovered Play("system",guisfx_button_hover)
            action [Play("system",guisfx_button_click),
                    Preference("display", "fullscreen")]
            at gui_confirmfade
                
        imagebutton auto "gui/settings/settings_readonly_%s.png" xpos 1362 ypos 543 focus_mask True:
            hovered Play("system",guisfx_button_hover)
            action [Play("system",guisfx_button_click),
                    Preference("skip", "seen")]
            at gui_confirmfade
                     
        imagebutton auto "gui/settings/settings_all_%s.png" xpos 1576 ypos 537 focus_mask True:
            hovered Play("system",guisfx_button_hover)
            action [Play("system",guisfx_button_click),
                    Preference("skip", "all")]
            at gui_confirmfade
        
        use exit_button
            
        frame:
            background None
            xsize 1200
            at gui_fullinout
                
            text "SETTINGS":
                size 80
                bold True
                color Color(color=gui.advname_font_color)
                text_align 0.5
                xalign 1.0
                kerning gui.advname_font_kerning * 1.3
                        
        vbox:
            xsize 800 ysize 1080
            spacing 80
            xalign 0.5
                
            vbox:
                xalign 0.5
                
                text "Music" style "settings_header" xalign 0.5 yoffset 200
                
                hbox:
                        
                    bar:
                        hovered Play("system",guisfx_button_hover)
                        value Preference("music volume")
                        base_bar "gui/settings/settings_bar.png"
                        thumb "gui/settings/settings_thumb.png"
                            
                        xsize 375 ysize 22
                        xalign 0.5 xoffset 20 yoffset 200
                        at gui_confirmfade
                            
                if config.has_voice:
                    text "Voice" style "settings_header" xalign 0.5 yoffset 288
                            
                    hbox:
                            
                        bar:
                            hovered Play("system",guisfx_button_hover)
                            value Preference("voice volume")
                            base_bar "gui/settings/settings_bar.png"
                            thumb "gui/settings/settings_thumb.png"
                                
                            xsize 375 ysize 22
                            xalign 0.5 xoffset 20 yoffset 290
                            at gui_confirmfade
                    
                    text "System Volume" style "settings_header" xalign 0.5 yoffset 400
                    
                    hbox:
                            
                        bar:
                            hovered Play("system",guisfx_button_hover)
                            value MixerValue("systemMixer")
                            base_bar "gui/settings/settings_bar.png"
                            thumb "gui/settings/settings_thumb.png"
                            
                            xsize 375 ysize 22
                            xalign 0.5 xoffset 20 yoffset 400
                            at gui_confirmfade
                            
                    text "Auto-Forward" style "settings_header" xalign 0.5 yoffset 497
                    
                    hbox:
                        
                        bar:
                            hovered Play("system",guisfx_button_hover)
                            value Preference("auto-forward time")
                            base_bar "gui/settings/settings_bar.png"
                            thumb "gui/settings/settings_thumb.png"
                            
                            xsize 375 ysize 22
                            xalign 0.5 xoffset 20 yoffset 500
                            at gui_confirmfade
                    
                    text "Text Speed" style "settings_header" xalign 0.5 yoffset 570
                    
                    hbox:
                        
                        bar:
                            hovered Play("system",guisfx_button_hover)
                            value Preference("text speed")
                            base_bar "gui/settings/settings_bar.png"
                            thumb "gui/settings/settings_thumb.png"
                            
                            xsize 375 ysize 22
                            xalign 0.5 xoffset 20 yoffset 570
                            at gui_confirmfade
                        
style settings_header:
    font gui.adv_font_face
    size gui.adv_font_size
    color gui.adv_font_color
    
    bold True
    kerning gui.advname_font_kerning * 1.0
    
style settings_button_text:
    font gui.adv_font_face
    size gui.adv_font_size * 0.8
    color gui.adv_font_color
    kerning gui.advname_font_kerning
    
    xoffset 37
    yoffset -12
    
    bold True
    
style settings_bar_volume:
    xsize 346 ysize 15
    xalign 1.0 yalign 0.5
    left_bar "gui/settings_volume_full.png"
    right_bar "gui/settings_volume_empty.png"