﻿init offset = -2

##GUI Tooltip######

image esc text = Text("ESC", size=28)

image no text = Text("No", size=30)

image yes text = Text("Yes", size=30)

##GUI Main Menu##########

transform floating:
    xpos 500 ypos 300
    ease 2.0 ypos 250
    ease 2.0 ypos 300
    pause 1.0
    repeat
    
define whiteout = Fade(1.0, 0.8, 1.3, color='fff')

image floatingstar:
    "gui/mm/mm_star.png"
    xpos 650 ypos 300
    ease 2.0 ypos 350
    ease 2.0 ypos 250
    ease 2.0 ypos 300
    pause 1.0
    repeat
    
image floatingdollmaker:
    "gui/mm/mm_dollmaker.png"
    xpos 1050 ypos 150
    ease 2.0 ypos 100
    ease 2.0 ypos 150
    ease 2.0 ypos 100
    ease 2.0 ypos 150
    pause 1.0
    repeat

image floatingdylan:
    "gui/mm/mm_dylan.png"
    xpos 100 ypos 90
    ease 2.0 ypos 80
    ease 1.5 ypos 90
    pause 1.0
    repeat
    
image floatingevan:
    "gui/mm/mm_evan.png"
    xpos 760 ypos 100
    ease 2.0 ypos 80
    ease 2.0 ypos 100
    ease 3.0 ypos 60
    ease 2.0 ypos 100
    pause 1.0
    repeat
    
image floatingalister:
    "gui/mm/mm_alister.png"
    xpos 1288 ypos 30
    ease 2.0 ypos 20
    ease 2.0 ypos 30
    pause 1.0
    repeat
    
define intomm = MultipleTransition([
    False, fade,
    "gui/mm/mm_background.png", Dissolve(0.5),
    "mmbasic", whiteout,
    True])

image mmbasic = LiveComposite((1920,1080),
    (0,0), "gui/mm/mm_background.png",
    (650,300), "floatingstar",
    )

layeredimage mm:
    always:
        "gui/mm/mm_background.png"
        
    group star:
        attribute star default:
            "floatingstar"
    
    if persistent.dollmakerend:
        "floatingdollmaker"
    else:
        "none.png"
        
    if persistent.dylanend:
        "floatingdylan"
    else:
        "gui/mm/mm_rope_1.png"
    
    if persistent.evanend:
        "floatingevan"
    else: 
        "gui/mm/mm_rope_2.png"
    
    if persistent.alisterend:
        "floatingalister"
    else:
        "gui/mm/mm_rope_3.png"
        
    group title:
        attribute title default:
            "gui/mm/mm_title.png"
    
    
## GUI Transforms #####

transform mainmenu_zoom(beginzoom=1.0):
    zoom beginzoom
    on idle:
        linear 0.4 zoom beginzoom
    on selected_idle:
        linear 0.4 zoom 1.1
    on hover:
        linear 0.4 zoom 1.1
    on selected_hover:
        linear 0.4 zoom 1.1
        
transform gui_inout:
    alpha 0.0
    pause 0.0
    linear 0.7 alpha 0.8
    on hide:
        linear 0.5 alpha 0.0
        
transform gui_fullinout:
    alpha 0.0
    pause 0.0
    linear 0.7 alpha 1.0
    on hide:
        linear 0.5 alpha 0.0
    
transform choiceappear:
    alpha 0.0 yoffset -30
    pause 0.0
    easein 0.5 alpha 1.0 yoffset 0
    on idle:
        easein 0.5 yoffset 0
    on hover:
        easein 0.5 yoffset -40
        
transform gui_buttonfade:
    on idle:
        zoom 1.0
        easein 0.5 zoom 1.1
    on selected_idle:
        zoom 1.0 
        easein 0.5 zoom 1.1
    on hover:
        zoom 1.0
        easein 0.5 zoom 1.1
    on selected_hover:
        zoom 1.0
        easein 0.5 zoom 1.1
        
transform gui_confirmfade:
    on idle:
        alpha 0.5
    on selected_idle:
        alpha 0.5
        easein 0.5 alpha 1.0
    on hover:
        alpha 0.5
        easein 0.5 alpha 1.0
    on selected_hover:
        alpha 0.5
        easein 0.5 alpha 1.0
        
transform gui_cgscreens (beginalpha=0.3):
    on idle:
        alpha beginalpha
    on selected_idle:
        alpha beginalpha
        easein 0.5 alpha 1.0
    on hover:
        alpha beginalpha
        easein 0.5 alpha 1.0
    on selected_hover:
        alpha beginalpha
        easein 0.5 alpha 1.0
        
transform gui_saveempty(beginalpha=0.5):
    linear 0.3 alpha beginalpha
    on idle:
        linear 0.3 alpha beginalpha
    on selected_idle:
        linear 0.3 alpha beginalpha
    on hover:
        linear 0.3 alpha 1.0
    on selected_hover:
        linear 0.3 alpha 1.0
        
transform gui_savefull:
    on idle:
        linear 0.3 alpha 1.0
    on selected_idle:
        linear 0.3 alpha 1.0
    on hover:
        linear 0.3 alpha 0.7
    on selected_hover:
        linear 0.3 alpha 0.7
        
transform gui_savedelete(beginalpha=0.8):
    on idle:
        linear 0.3 alpha beginalpha
    on selected_idle:
        linear 0.3 alpha beginalpha
    on hover:
        linear 0.3 alpha 1.0
    on selected_hover:
        linear 0.3 alpha 1.0
        
transform gui_rotate:
    rotate 270
    
transform gui_top:
    xalign 0.5
    yalign 0.1
    
image transpause:
    "gui/pause/pause_overlay.png"
    alpha 0.6
    
image nvlmode = LiveComposite(
    (1920, 1080), 
    (0,0), "transpause",
    (0,0), "gui/nvl/nvl_overlay.png"
    )