﻿init 800 python:
    class MouseParallax(renpy.Displayable):
        def __init__(self,layer_info):
            super(renpy.Displayable,self).__init__()
            self.xoffset,self.yoffset=0.0,0.0
            self.sort_layer=sorted(layer_info,reverse=True)
            cflayer=[]
            masteryet=False
            for m,n in self.sort_layer:
                if(not masteryet)and(m<41):
                    cflayer.append("master")
                    masteryet=True
                cflayer.append(n)
            if not masteryet:
                cflayer.append("master")
            cflayer.extend(["transient","screens","overlay"])
            config.layers=cflayer
            config.overlay_functions.append(self.overlay)
            return
        def render(self,width,height,st,at):
            return renpy.Render(width,height)
        def parallax(self,m):
            func = renpy.curry(trans)(disp=self, m=m)
            return Transform(function=func)
        def overlay(self):
            ui.add(self)
            for m,n in self.sort_layer:
                renpy.layer_at_list([self.parallax(m)],n)
            return
        def event(self,ev,x,y,st):
            import pygame
            if ev.type==pygame.MOUSEMOTION:
                self.xoffset,self.yoffset=((float)(x)/(config.screen_width))-0.5,((float)(y)/(config.screen_height))-0.5
            return
    MouseParallax([(40,"farback"),(20,"back"),(-20,"front"),(-40,"inyourface")])
            
    def trans(d, st, at, disp=None, m=None):
        d.xoffset, d.yoffset = int(round(m*disp.xoffset)), int(round(m*disp.yoffset))
        return 0
        
init python:
    pmood = 'True'
    pbrow = 'True'
    pmouth = 'True'
    
init -1:
    $ pcrack = False
    $ ptears = 'True'
    $ pshadow = 'True'
    $ psweatdrop = 'True'
    $ Dtears = False
    $ Dshadow = False
    $ Dshadow2 = False
    $ Dsweatdrop = False
    $ Dblush = False
    $ etears = False
    $ eshadow = False
    $ eshadow2 = False
    $ esweatdrop = False
    $ eblush = False
    $ atears = False
    $ ashadow = False
    $ ashadow2 = False
    $ asweatdrop = False
    $ ablood = False
    $ ablush = False
    $ dtears = False
    $ dshadow = False
    $ dshadow2 = False
    $ dsweatdrop = False
    $ dcold = False
    $ dblush = False
    
######### DEFINITIONS #########
###############################

define p_thought = Character("[name]",  who_outlines=[ (1, "#000000") ], what_italic=True, image="playerside")
define p = Character("[name]", who_outlines=[ (1, "#000000") ], image="playerside")
define D = Character("Dollmaker", color="b400c6", who_outlines=[ (1, "#ffffff") ], image="dollmakerside")
define a = Character("Alister", color="C60000", who_outlines=[ (1, "#ffffff") ], image="alisterside")
define a_thought = Character("Alister", color="C60000", who_outlines=[ (1, "#ffffff") ], image="alisterside", what_italic=True)
define d = Character("Dylan", color="00C60C", who_outlines=[ (1, "#ffffff") ], image="dylanside")
define d_thought = Character("Dylan", olor="00C60C", who_outlines=[ (1, "#ffffff") ], image="dylanside", what_italic=True)
define e = Character("Evan", color="0033c6", who_outlines=[ (1, "#ffffff") ], image="evanside")
define e_thought = Character("Evan", color="0033c6", who_outlines=[ (1, "#ffffff") ], image="evanside", what_italic=True)
define q = Character("???", who_outlines=[ (1, "#000000") ], who_italic=True)
define k1 = Character("Kidnapper #1", who_outlines=[ (1, "#000000") ])
define k2 = Character("Kidnapper #2", who_outlines=[ (1, "#000000") ])
define t = Character("Toni")
define A = Character("Ariza")
define n = nvl_narrator

transform slightleft:
    xalign 0.20
    yalign 1.0

transform slightright:
    xalign 0.80
    yalign 1.0

define persistent.dollmakerend = False
define persistent.alisterend = False
define persistent.dylanend = False
define persistent.evanend = False
define persistent.dollmakerachieve = 0
define persistent.alisterplaythrough = 0
define persistent.evanplaythrough = 0
define persistent.dylanplaythrough = 0

default gender = "nb"

label splashscreen:
    
    $ renpy.movie_cutscene('AstralAutumnGames.webm')
    
    return

label start:

    show bg shop day onlayer back
    with fade
    
    window show dissolve
    
    "Most people would overlook the small, cramped shop with purple curtains and a deep purple overhang crammed on the corner, stars embroidered in the curtains and seemingly giving off a faint glow."

    "Most people would look at the window, momentarily admiring the handpainted sign and the many handcrafted dolls in the window--"
    
    "-- all adorable in their own ways and verging on cartoonish or goofy in some cases, narrowly avoiding being creepy, before rushing past."

    "Most people would."
    
    show dollmaker onlayer front
    with dissolve

    "The bell gave a cheerful, bright tune, making the hooded shopkeeper look up from the counter."
    
    "A warm smile was fixed on her features."
    
    show dollmaker screwedup onlayer front
    with dissolve

    D "Hello, and welcome to Desruc Dolls."
    
    show dollmaker blink onlayer front
    with dissolve
    
    D "Are you looking for anything in particular today?"
    
    hide bg shop day onlayer back
    hide dollmaker onlayer front
    show cg1 onlayer back
    with dissolve

    "A person— it was difficult to tell if they were male or female— entered the slightly cramped shop."

    "Despite being a nicely sized shop (perhaps being a bit larger than it really was, courtesy of magic), every available space that wasn't necessary to move around in was crowded with a doll."

    "Every doll looked as though it had taken hours to craft. If not days."

    q "Greetings, Dollmaker."

    D "Oh, hello, Evan. How are you?"

    e "I am doing quite well. It is good to see your shop doing nicely."
    
    e "I was worried you'd go out of business with the other doll shops springing up everywhere."

    D "I did say I could handle myself."
    
    hide cg1 onlayer back
    show bg shop day onlayer back
    show dollmaker at slightleft onlayer front
    show evan at slightright onlayer front
    with dissolve

    D "Ah, but you're not here to socialize, I assume. Are you here to buy a doll?"
    
    show evan averted thoughtful onlayer front
    with dissolve

    e "As a matter of fact, I am indeed."
    
    show evan blink onlayer front
    show dollmaker frown quirked onlayer front
    with dissolve

    D "Oh? That's interesting. You were never really much for dolls before."
    
    show dollmaker smile normal onlayer front
    with dissolve

    D "Anything that you would like in particular?"

    "Evan's eyes fell on a doll that was sitting behind the Dollmaker."
    
    "The doll was latched up in a small glass case, a small star pin in its hair from where it was sitting in the case."

    show evan normal onlayer front
    with dissolve

    e "That one shall do nicely."

    D "Ah, that doll..."
    
    window hide dissolve
    hide bg shop day onlayer back
    hide dollmaker onlayer front
    hide evan onlayer front
    show bg thinking onlayer back
    with fade
    
    jump namedoll
    
label namedoll:

    python:
        name = renpy.input("What is the doll's name?")
        name = name.strip()

        if not name:
             name = "Doll"
             
    "[name]..."
             
    call screen confirm(message="Are you sure this is the doll's name?", yes_action=Jump('pronouns'), no_action=Jump('nameagain'))
    
label nameagain:
    
    "Perhaps you misheard the doll's name. Let's see..."
    
    jump namedoll
    
label pronouns:
    
    "Despite the doll not really being human, the Dollmaker has a look on her face that tells you it may be a bad idea to 'misgender' the doll."
    
    "What are the doll's pronouns?"
    
    menu:
        extend " "
        "She/her.":
            $ gender = "female"
            jump pronounconfirm
        "He/him.":
            $ gender = "male"
            jump pronounconfirm
        "They/them.":
            $ gender = "nb"
            jump pronounconfirm
            
label pronounconfirm:
    
    call screen confirm(message="Are you sure these are the doll's pronouns?", yes_action=Jump('dressupdoll'), no_action=Jump('pronounagain'))
    
label pronounagain:
    
    "Ah. Maybe listen more closely this time..."
    
    jump pronouns
             
label dressupdoll:
             
    call screen dressup()
    
label done: 
    
    call screen confirm(message="Are you certain this is what the doll looks like?", yes_action=Jump('prologue_continue'), no_action=Jump('dresstryagain'))
    
label dresstryagain:

    "Hm. Let's take another look, then..."
    
    jump dressupdoll
    
label prologue_continue:
    
    hide doll onlayer front
    hide bg thinking onlayer back
    show bg shop day onlayer back
    show doll at left onlayer front
    show dollmaker onlayer front
    show evan at right onlayer front
    with dissolve
    
    window show dissolve

    if gender == "female":
        D "Why do you wish to have her, if I may ask?"
    elif gender == "male":
        D "Why do you wish to have him, if I may ask?"
    elif gender == "nb":
        D "Why do you wish to have them, if I may ask?"
        
    show evan averted teeth thoughtful onlayer front
    with dissolve

    e "It’s newly crafted, my friend. Harder to break."
    
    e "Would need a tad more... force to do so, than any other here."
    
    show evan blink onlayer front
    with dissolve

    e "Not to say the rest are badly crafted."
    
    show evan frown onlayer front
    show dollmaker averted frown thoughtful onlayer front
    with dissolve

    D "Well, that is true...{nw}"
    
    show dollmaker blink onlayer front
    with dissolve
    
    D "Well, that is true...{fast} but why would you need a doll that is harder to break?"
    
    show dollmaker halfshut onlayer front
    with dissolve

    D "I assume you are not planning to purposely damage the doll?"
    
    show evan closed teeth onlayer front
    show dollmaker blink frown normal onlayer front
    with dissolve

    e "Yes, that is the purpose of this purchase, although I do hope this doesn’t offend you."
    
    show evan blink onlayer front
    with dissolve
    
    e "I can confirm that it is purely for experimental purposes."
    
    hide doll onlayer front with dissolve
    
    show evan blink frown onlayer front
    show dollmaker halfshut frown thoughtful onlayer front
    with dissolve

    D "... it doesn't necessarily offend me, but I think I am going to wait to see if there are any other buyers that are not going to magically experiment with it first."

    show dollmaker blink smile sad onlayer front
    with dissolve

    D "No offense, Evan— I just like to try to give my dolls the best home they can."

    show evan closed o normal onlayer front
    show dollmaker blink smile normal onlayer front
    with dissolve

    "Evan sighed at that."
    
    show evan halfshut teeth onlayer front
    with dissolve

    e "I understand, I suppose. You are understandably hesitant to destroy the dolls you have worked so hard to create."
    
    show evan blink frown onlayer front
    with dissolve
    
    e "Well. I shall return at the end of the day."
    
    e "If the doll has not yet been purchased, it shall come home with me."
    
    show evan averted onlayer front
    with dissolve
    
    e "If not... I suppose I shall have to find someplace else."

    e "Good day, Dollmaker."
    
    show dollmaker screwedup toothysmile onlayer front
    with dissolve

    D "Alright, Evan. I'll see you soon!"
    
    show evan averted thoughtful onlayer front
    with dissolve
    
    hide evan onlayer front
    with dissolve

    "He left, the bell tinkling happily as he exited."
    
    hide doll onlayer front
    hide dollmaker onlayer front
    with dissolve
    
    pause 1.0
    
    hide bg shop day onlayer back
    show bg shop afternoon onlayer back
    with dissolve

    "The rest of the day passed with minimal customers entering."
    
    "Perhaps one or two who spotted an especially fun doll in the window, and a few children who towed their mothers in, but none who seemed to really want the one in the glass case."

    "The cheerful jingle of the bell announced the presence of a new customer."
    
    hide bg shop afternoon onlayer back
    show cg2 onlayer back
    with dissolve

    "A rather awkward-looking teenage boy— perhaps nearly a young adult— shuffled up to the counter awkwardly, his cheeks pinking."

    D "Hello, and welcome to Desruc Dolls! Are you looking for anything in particular today?"

    q "Oh, uh..."

    q "Not really. Just a doll, I guess."
    
    hide cg2 onlayer back
    show bg shop afternoon onlayer back
    show dylan onlayer front
    with dissolve

    D "Well, there's no lack of those in here! Feel free to just look around."

    q "Thanks, um..."

    "He glanced around, taking in the many rows of dolls along the walls and several on some display tables."

    "His eyes came upon the doll from earlier."
    
    show dylan teeth onlayer front
    with dissolve
    
    if gender == "female":
        q "How about that one over there? With the star pin in her hair."
    elif gender == "male":
        q "How about that one over there? With the star pin in his hair."
    elif gender == "nb":
        q "How about that one over there? With the star pin in their hair."
        
    show dollmaker wide teeth raised at right onlayer front
    show dylan frown onlayer front
    with dissolve

    D "Ah, that one..."
    
    show dollmaker blink smile normal onlayer front
    with dissolve
    
    if gender == "female":
        D "Well, she's quite special."
    elif gender == "male":
        D "Well, he's quite special."
    elif gender == "nb":
        D "Well, they're quite special."
    
    D "Is there a reason you want that particular doll?"
    
    show dylan averted sad onlayer front
    with dissolve

    "He shuffled nervously for a few moments."
    
    show dylan blink normal onlayer front
    with dissolve
    
    if gender == "female":
        q "Oh, uhm... she just... she looks nice. She’s pretty."
    elif gender == "male":
        q "Oh, uhm... he just... he looks nice. He's a pretty cute guy."
    elif gender == "nb":
        q "Oh, uhm... they just... they look nice. They're pretty."
        
    show dollmaker blink frown thoughtful onlayer front
    with dissolve

    D "... I hope you're not going to be offended by this, dear, but is there a particular reason you came into a doll shop?"

    D "Most young men tend to be in here to buy something for a loved one."

    show dylan averted thoughtful onlayer front
    show dollmaker blink onlayer front
    with dissolve

    q "Oh, I just... uhm... I-I just thought they were nice."

    q "My, uh, my mother used to really like dolls, and I guess... I sorta... like them too?"

    show dylan blink onlayer front
    with dissolve

    q "I know- I know that's really dumb, considering my age and... being... a- a boy... uhm..."

    show dylan sad onlayer front
    with dissolve

    q "..."

    q "Yeah."
    
    show dollmaker screwedup opensmile onlayer front
    with dissolve

    D "No, no, it's not dumb at all. I used to have a male friend who loved dolls."
    
    $ Dsweatdrop = True
    show dollmaker smile onlayer front
    with dissolve

    D "... he never did explain to me why he liked them so much, but it's not silly at all."
    
    $ Dsweatdrop = False
    show dollmaker blink onlayer front
    with dissolve

    D "Well, I'm still holding the doll for purchase... if you still want it, you may want to come back at the end of the day."
    
    D "We close at eight."
    
    show dylan wide teeth raised onlayer front
    with dissolve

    q "Oh, ye-yeah! Okay, I can do that."
    
    show dylan blink frown normal onlayer front
    with dissolve

    q "I'll... uh... I'll see you- see you later, then. How- How much is it?"

    q "The- The doll, I mean?"
    
    show dollmaker teeth onlayer front
    with dissolve

    D "Ah, it depends."
    
    show dollmaker screwedup smile onlayer front
    with dissolve

    D "If I find someone who'll take good care of the doll, well... the price is usually a {i}little{/i} lower."

    "She winked at him gently."

    show dylan smile sad onlayer front
    show dollmaker blink onlayer front
    with dissolve

    "He gave her a nervous little smile in return."

    q "O-Okay. Uhm... I'll- I'll see you later, ma- ma'am."

    D "Alright. I'll see you soon."
    
    show dylan frown raised onlayer front
    show dollmaker wide raised teeth onlayer front
    with dissolve

    D "Ah— what's your name, by the way? It's easier to hold the doll if I know the buyer's name."

    show dylan normal onlayer front
    show dollmaker blink normal smile onlayer front
    with dissolve

    d "Oh, it's- it's Dyl- Dylan. My- My name's Dylan."

    D "Alright, Dylan. I'll see you in a few hours."
    
    show dylan averted smile sad onlayer front
    with dissolve

    d "Ye- Yeah, uhm, see- see you later, mi- miss Doll... Dollmaker."
    
    hide dylan onlayer front
    with dissolve

    "Dylan quickly made his way out of the shop, the bell tinkling as he disappeared and was replaced by some schoolchildren whose eyes had been drawn by the dolls."

    hide dollmaker onlayer front
    with dissolve

    hide bg shop afternoon onlayer back
    show bg shop night onlayer back
    with dissolve

    "Soon, the purple overhang and curtains were matching the sky, save for being a little more violet than the sky really was."

    hide bg shop night onlayer back
    show cg3 onlayer back
    with dissolve

    "The bell dingles as the last customer arrived. He approached the counter with an almost casual eye. He appeared seemingly uninterested in his surroundings as he glanced around the shop."

    D "Good evening, and welcome to Desruc Dolls! Are you looking for anything in particular, sir?"

    q "Not necessarily, my good lady."

    D "Ah, alright. Well, feel free to look around. If you would like my assistance, please feel free to ask."

    q "Thank you, madam."
    
    hide cg3 onlayer back
    show bg shop night onlayer back
    show alister halfshut frown sad onlayer front
    with dissolve

    "He took a long look at the shelves, an odd sort of look crossing his face- it might have been considering, or it might have been a strange sort of sadness."

    "It was difficult to place."
    
    show alister blink normal onlayer front
    with dissolve

    "His eyes came upon the doll that everyone seemed to be drawn to."

    q "How about that one there? With the star shaped clip?"
    
    show dollmaker wide teeth raised at right onlayer front
    with dissolve
    
    if gender == "female":
        D "Ah, this one... she's very special."
        show dollmaker screwedup toothysmile normal onlayer front
        with dissolve
        D "Two other customers have already come and asked for her today!"
    elif gender == "male":
        D "Ah, this one... he's very special."
        show dollmaker screwedup toothysmile normal onlayer front
        with dissolve
        D "Two other customers have already come and asked for him today!"
    elif gender == "nb":
        D "Ah, this one... they're very special."
        show dollmaker screwedup toothysmile normal onlayer front
        with dissolve
        D "Two other customers have already come and asked for them today!"
        
    show dollmaker blink smile onlayer front
    with dissolve

    D "Is there any reason you'd like this one in particular?"
    
    show alister screwedup smile onlayer front
    with dissolve

    q "It’s a rather... beautiful doll, isn’t it?"
    
    show alister blink onlayer front
    show dollmaker screwedup onlayer front
    with dissolve
    
    if gender == "female":
        D "I'd like to think so. I did craft her, after all."
    elif gender == "male":
        D "I'd like to think so. I did craft him, after all."
    elif gender == "nb":
        D "I'd like to think so. I did craft them, after all."

    D "I like to think that I infuse each doll with its own unique soul when I craft them."
    
    show dollmaker blink onlayer front
    with dissolve
    
    if gender == "female":
        D "But this one is particularly special, so I would like to make sure she gets a good home."
    elif gender == "male":
        D "But this one is particularly special, so I would like to make sure he gets a good home."
    elif gender == "nb":
        D "But this one is particularly special, so I would like to make sure they get a good home."
    
    show alister screwedup smile onlayer front
    with dissolve
    
    q "Well, my dear Dollmaker, I can promise that this particular doll will have a good home with me."
    
    q "I would take good care of it, I can promise you that."

    show alister blink onlayer front
    show dollmaker averted frown thoughtful onlayer front
    with dissolve

    D "Hmm... well, currently this doll is on hold with two others as well."
    
    show dollmaker blink smile normal onlayer front
    with dissolve

    D "Why don't you wait for them to return, and I'll make my decision as to who the doll goes to?"

    show alister squint onlayer front
    with dissolve

    q "Ah, of course, my fair lady. I shall be patient."
    
    show alister blink onlayer front
    show dollmaker screwedup onlayer front
    with dissolve

    D "I can appreciate someone who has good sportsmanship."
    
    show dollmaker blink onlayer front
    with dissolve

    D "Ah, by the way— what's your name? It will be much easier for me to choose who gets the doll if I know your name."

    show alister closed smile onlayer front
    with dissolve

    a "‘Tis Alister, madame." 
    
    show alister blink onlayer front
    show dollmaker screwedup onlayer front
    with dissolve

    D "Alright, Alister, it's a pleasure to meet you. No need for the formality."
    
    show alister screwedup toothysmile onlayer front
    show dollmaker blink onlayer front
    with dissolve

    a "A pleasure to meet you also."
    
    hide alister onlayer front
    show evan onlayer front
    with dissolve

    "The door jingled cheerfully as Evan walked in through the door again, his cape sweeping the floor."

    "Alister had to shift aside to allow him room to stand at the lacquered wooden counter."

    D "Ah, here's one of our prospective buyers for the doll now." 
    
    show dollmaker screwedup onlayer front
    with dissolve

    D "Hello, Evan. I wasn't sure you'd come back."
    
    show evan halfshut quirked onlayer front
    show dollmaker blink onlayer front
    with dissolve

    e "What can I say? I'm full of surprises."
    
    show evan averted thoughtful onlayer front
    with dissolve

    e "That, and I honestly have little else to do with my time as of the moment."
    
    show dollmaker averted frown thoughtful onlayer front
    with dissolve

    D "Ah... I see."
    
    show dollmaker halfshut toothysmile quirked onlayer front
    with dissolve

    D "Well, if you're so indifferent about the doll, perhaps I'll sell it to one of the other two gentlemen who wish to buy it—"

    show evan wide teeth raised onlayer front
    with hpunch

    e "Ah, there's- there's no need for {i}that{/i} now, Dollmaker!"
    
    show evan blink normal onlayer front
    show dollmaker screwedup smile normal onlayer front
    with dissolve

    D "Ah, so you {i}do{/i} want the doll, after all~?"
    
    show evan averted frown thoughtful onlayer front
    with dissolve

    e "Well, uh-"
    
    show evan onlayer front
    $ eblush = True
    with dissolve
    
    e "I-"
    
    show evan closed onlayer front
    with dissolve
    
    e "Ugh... may we proceed, please?"
    
    show evan blink onlayer front
    $ eblush = False
    show dollmaker blink frown normal onlayer front
    with dissolve

    D "One moment, Evan. I am still waiting for another of our prospective buyers of the doll to arrive—"

    hide evan onlayer front
    show dylan wide raised onlayer front
    with dissolve

    "The door jingled again, and Dylan practically burst through the door. Alister and Evan both shifted aside to allow him room to stand at the counter as well, perhaps out of instinct."

    show dylan open onlayer front
    with vpunch

    d "I- I'm here!"
    
    show dylan teeth normal onlayer front
    with dissolve

    d "I'm here, mi- miss." 
    
    show dylan blink sad onlayer front
    with dissolve

    d "Uhm..."

    "Upon seeing the two men, Dylan faltered, cheeks slowly turning quite red. The Dollmaker beckoned him kindly."

    show dollmaker squint smile raised onlayer front
    with dissolve

    D "Hello again, Dylan! You didn't need to run here. I would've waited for you to arrive."
    
    show dollmaker blink normal onlayer front
    with dissolve

    D "These two are the two other prospective buyers for [name]."
    
    show alister wide teeth raised at left onlayer front
    show dylan wide teeth sad at right onlayer front
    show evan wide teeth raised onlayer front
    hide dollmaker onlayer front
    with dissolve

    "All three of the other men stiffened a little bit nervously."
    
    hide alister onlayer front
    hide dylan onlayer front
    show evan blink thoughtful onlayer front
    with dissolve

    e "... [name]?"
    
    hide evan onlayer front
    show dollmaker screwedup onlayer front
    with dissolve

    D "The doll with the star pin, of course. I name all of my dolls, Evan."
    
    show evan averted teeth sad onlayer front
    hide dollmaker onlayer front
    with dissolve

    e "Of... of course..."
    
    show alister averted teeth sad at left onlayer front
    with dissolve

    a "It's... a nice name."
    
    show dylan averted teeth sad at right onlayer front
    with dissolve

    d "Uh, yeah- yeah. Yeah."
    
    show evan frown onlayer front
    show dylan frown onlayer front
    show alister frown onlayer front
    with dissolve

    "All" "...."
    
    hide evan onlayer front
    hide alister onlayer front
    hide dylan onlayer front
    show dollmaker screwedup onlayer front
    with dissolve

    D "I'm glad you think so."
    
    if gender == "female":
        D "I put quite a large amount of my time into figuring out the perfect name for her!"
    elif gender == "male":
        D "I put quite a large amount of my time into figuring out the perfect name for him!"
    elif gender == "nb":
        D "I put quite a large amount of my time into figuring out the perfect name for them!"

    show dylan sad onlayer front
    hide dollmaker onlayer front
    with dissolve

    "Dylan gave the Dollmaker a nervous glance before leaning a little closer to her, lowering his voice nervously."

    show dylan teeth onlayer front
    with dissolve

    d "Are you- Are you sure that there's no need- no price on- on the doll?"
    
    show dylan frown onlayer front
    show evan halfshut teeth quirked at left onlayer front
    with dissolve
    
    show evan at left onlayer front
    with dissolve

    e "Are you giving your dolls away again, Dollmaker?"

    e "At this rate, you'll be out of business quickly."
    
    show evan averted thoughtful onlayer front
    with dissolve

    e "Actually, with the amount of dolls that you tend to give away, I'm rather astounded you're still managing to stay in business."

    show evan blink frown onlayer front
    show dollmaker screwedup at right onlayer front
    with dissolve

    D "For shame, Evan. I'm not one to deny someone a doll if they're truly willing to give them a good home."

    show dollmaker blink sad onlayer front
    with dissolve

    D "And don't worry about it, Dylan, I still have a good business going even when I'm giving an occasional doll away."

    show evan closed teeth raised onlayer front
    with dissolve

    e "{size=18}Or more than the occasional doll...{/size}"
    
    show dylan teeth normal onlayer front
    hide evan onlayer front
    with dissolve

    d "O-Okay, if... if you're sure..."
    
    show dollmaker squint toothysmile normal onlayer front
    with dissolve

    D "I'm positive."
    
    hide dollmaker onlayer front 
    hide dylan onlayer front
    with dissolve
    
    show dollmaker blink frown thoughtful onlayer front
    with dissolve

    "The Dollmaker became much more serious, and she looked at the three men evenly."
    
    hide bg shop night onlayer back
    show bg shop closing onlayer back
    with dissolve

    "Perhaps it was scheduled, or perhaps there was some magic at work, but the curtains over the windows slid shut with a whisper, candles beginning to flicker to life in the shop."

    D "Now, if I may ask..."

    D "Why {i}exactly{/i} do you want this doll? "

    "There was a short silence as they regarded each other awkwardly."
    
    show dollmaker raised onlayer front
    with dissolve

    D "Evan?"
    
    show evan teeth thoughtful onlayer front
    hide dollmaker onlayer front
    with dissolve

    e "Well..."
    
    show evan averted onlayer front
    with dissolve

    e "It would look... nice... on one of the shelves in my lab."

    e "An, ah... experiment-buddy, if you will."
    
    show evan frown onlayer front
    show dollmaker halfshut quirked  at right onlayer front
    with dissolve

    D "... Are you certain that is it?"
    
    show evan blink onlayer front
    with dissolve

    e "..."
    
    show evan halfshut onlayer front
    with dissolve

    e "Well, it involves experiments."
    
    show dollmaker closed smile thoughtful onlayer front
    with dissolve

    D "And I have learned not to ask about those."
    
    show dollmaker blink frown onlayer front
    with dissolve

    D "Dylan? Why exactly are you interested in purchasing [name]?"
    
    hide evan onlayer front
    hide dollmaker onlayer front
    show dylan teeth onlayer front
    with dissolve
    
    if gender == "female":
        d "Oh, um... I- I think she’s really- really nice."
        d "She- She actually kinda reminds me of... uhm... yeah..."
    elif gender == "male":
        d "Oh, um... I- I think he’s really- really nice."
        d "He- he actually kinda reminds me of... uhm... yeah..."
    elif gender == "nb":
        d "Oh, um... I- I think they're really- really nice."
        d "They-- they actually kinda remind me of... uhm... yeah..."

    show dylan frown onlayer front
    with dissolve

    d "..."
    
    show dylan averted onlayer front
    with dissolve

    d "Some- Something personal."
    
    show dylan blink onlayer front
    show dollmaker averted onlayer front
    with dissolve

    D "Ah, I see. Then I won't pry."
    
    hide dylan onlayer front
    show dollmaker blink onlayer front
    with dissolve

    D "Alister? Do you have a particular reason for wanting this doll?"
    
    hide dollmaker onlayer front
    show alister onlayer front
    with dissolve

    a "I must agree with the young sire. It is a lovely piece of art, and I must give my compliments to the creator."

    hide alister onlayer front
    show dollmaker screwedup smile onlayer front
    with dissolve
    
    if gender == "female":
        D "Well, I'm glad you like her."
    elif gender == "male":
        D "Well, I'm glad you like him."
    elif gender == "nb":
        D "Well, I'm glad you like them."

    hide dollmaker onlayer front
    show alister screwedup smile onlayer front
    with dissolve

    a "I cannot see why anyone wouldn't."
    
    show alister blink onlayer front
    with dissolve

    a "My reason for wanting to have such a beauty in my possession..."
    
    show alister halfshut sad onlayer front
    with dissolve
    
    if gender == "female":
        a "... it’s nostalgic, almost. She reminds me of someone."
    elif gender == "male":
        a "... it’s nostalgic, almost. He reminds me of someone."
    elif gender == "nb":
        a "... it’s nostalgic, almost. They remind me of someone."
        
    show alister blink frown normal onlayer front
    with dissolve

    a "Excuse me if I do not say who."
    
    show alister averted onlayer front
    with dissolve

    a "But I believe that this particular doll..."
    
    show alister halfshut sad onlayer front
    with dissolve
    
    if gender == "female":
        a "I believe it may have been something she would have loved to play with."
        D "She?"
    elif gender == "male":
        a "I believe it may have been something he would have liked to play with."
        D "He?"
    elif gender == "nb":
        a "I believe it may have been something they would have loved to play with."
        D "They?"

    show alister wide teeth normal onlayer front
    with dissolve

    a "It's, ah... a personal detail that I would rather not share."
    
    show alister blink smile sad onlayer front
    with dissolve

    a "I do hope you don't mind, madame."
    
    hide alister onlayer front
    show dollmaker closed smile thoughtful onlayer front
    with dissolve

    D "Of course not. Apologies for prying."
    
    hide dollmaker onlayer front
    with dissolve
    
    show dollmaker closed frown at center onlayer front
    with dissolve

    D "..."
    
    show dollmaker blink onlayer front
    with dissolve

    D "Well... I must say, you all seem to have valid reasons for wanting to purchase the doll."

    D "But I think I am going to sell it to..."
    
    window hide
    hide bg shop closed onlayer back
    hide dollmaker onlayer front
    with dissolve
    
    show selection_bg with dissolve
    pause(1.0)
    show selection_idle with dissolve

    if persistent.dollmakerachieve >= 3:
        pause(1.0)
        show selection_2_idle at selectiondollmaker with dissolve
        pause(1.0)
        call screen selection_2
    else:
        pause(1.0)
        call screen selection_1